@font-face {
  font-family: NotoSans;
  src: url(../font/NotoSans.ttf);
}
@font-face {
  font-family: NotoSansTC;
  src: url(../font/NotoSansTC.ttf);
}
@font-face {
  font-family: NotoSansSC;
  src: url(../font/NotoSansSC.ttf);
}


body {
    font-family: NotoSansTC,NotoSansSC,NotoSans, sans-serif !important;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
    font-variation-settings: "wdth" 100;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}
header {
    background-color: #333;
    color: white;
    padding: 1rem;
    /*display: flex;*/
    display: none;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
}
.header-title {
    text-align: center;
    flex-grow: 1;
}
.header-button {
    background-color: #4CAF50;
    border: none;
    color: white;
    padding: 10px 20px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
}
main {
    flex-grow: 1;
    padding: 0px 0px 60px 0px;
    overflow-y: auto;
}
footer {
    background-color: #fff;
    color: #d9d9d9;
    padding: .25rem 1rem .25rem 1rem;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
}
.nav-buttons {
    display: flex;
    justify-content: space-between;
    width: 100%;
    max-width: 600px;
    margin: 0 auto;
}
.nav-button {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #8f8f8f;
    text-decoration: none;
    flex: 1;
    padding: 5px;
    transition: background-color 0.3s;
}
.nav-button.active {
    /*background-color: #4CAF50;*/
    color: #1aba25;
}
.nav-button .material-icons {
    font-size: 24px;
    margin-bottom: 5px;
}
.nav-button span {
    font-size: 15px;
    text-align: center;
}

.no-footer{
    display: none;
}

.no-footer-body{
    padding: unset !important;
}

@media (max-width: 600px) {
    .header-button {
        padding: 8px 16px;
        font-size: 14px;
    }
    .nav-button .material-icons {
        font-size: 20px;
    }
    .nav-button span {
        font-size: 12px;
    }
}